Can kots be installed on an EKS that uses Fargate?

Hello!

I am not very familiar with either EKS or Fargate, but I was wondering that if there are any restrictions/specific things to do when installing kots to such an environment?

Thanks!

At this moment I think Fargate supports EFS only. And kots will need EBS for the postgres and snapshots to work. (Could be that it recently changed, so if that is the case it might work)

@Alexander_Nitu this may become a lot more feasible with the recent release of rqlite instead of postgres and the kubectl kots enable-ha command. I would try this out and see if you are able to get things running, and if not, you can post your results here or file a feature request with your findings at https://support.replicated.com

cc also @stefan

@jdewinne I am not sure that this is true – can you clarify?

And kots will need EBS for the postgres and snapshots to work.